OpenZWave::Node::NodeData Struct Reference

`#include <Node.h>`

## Public Attributes

uint32 | m_sentCnt
uint32 | m_sentFailed
uint32 | m_retries
uint32 | m_receivedCnt
uint32 | m_receivedDups
uint32 | m_receivedUnsolicited
string | m_sentTS
string | m_receivedTS
uint32 | m_lastRequestRTT
uint32 | m_averageRequestRTT
uint32 | m_lastResponseRTT
uint32 | m_averageResponseRTT
uint8 | m_quality
uint8 | m_lastReceivedMessage [254]
list< CommandClassData > | m_ccData

## Member Data Documentation

## m_averageRequestRTT

uint32 OpenZWave::Node::NodeData::m_averageRequestRTT

## m_averageResponseRTT

uint32 OpenZWave::Node::NodeData::m_averageResponseRTT

## m_ccData

list<CommandClassData> OpenZWave::Node::NodeData::m_ccData

## m_lastReceivedMessage

uint8 OpenZWave::Node::NodeData::m_lastReceivedMessage[254]

## m_lastRequestRTT

uint32 OpenZWave::Node::NodeData::m_lastRequestRTT

## m_lastResponseRTT

uint32 OpenZWave::Node::NodeData::m_lastResponseRTT

## m_quality

uint8 OpenZWave::Node::NodeData::m_quality

## m_receivedCnt

uint32 OpenZWave::Node::NodeData::m_receivedCnt

## m_receivedDups

uint32 OpenZWave::Node::NodeData::m_receivedDups

## m_receivedTS

string OpenZWave::Node::NodeData::m_receivedTS

## m_receivedUnsolicited

uint32 OpenZWave::Node::NodeData::m_receivedUnsolicited

## m_retries

uint32 OpenZWave::Node::NodeData::m_retries

## m_sentCnt

uint32 OpenZWave::Node::NodeData::m_sentCnt

## m_sentFailed

uint32 OpenZWave::Node::NodeData::m_sentFailed

## m_sentTS

string OpenZWave::Node::NodeData::m_sentTS

The documentation for this struct was generated from the following file:

- Node.h